package softuni.exam.readFile;
//TestCarsServiceReadFromFile

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.junit.jupiter.MockitoExtension;
import softuni.exam.service.impl.CarsServiceImpl;

import java.io.IOException;

@ExtendWith(MockitoExtension.class)
public class TestCarsServiceReadFromFile {

    @InjectMocks
    private CarsServiceImpl carsService;

    @Test
    void readCarsFromFile() throws IOException {
        String expected ="<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
                "<cars>\n" +
                "    <car>\n" +
                "        <carMake>Mitsubishi</carMake>\n" +
                "        <carModel>Tundra</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>JA9315IL</plateNumber>\n" +
                "        <kilometers>256754</kilometers>\n" +
                "        <engine>1.2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>MitsubishiAventadorBmwLamborghiniOpelBentley</carMake>\n" +
                "        <carModel>Tundra</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>QA7315IL</plateNumber>\n" +
                "        <kilometers>251754</kilometers>\n" +
                "        <engine>1.3</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Hyundai</carMake>\n" +
                "        <carModel>Tiburon</carModel>\n" +
                "        <year>2006</year>\n" +
                "        <plateNumber>JA9315IL</plateNumber>\n" +
                "        <kilometers>18862</kilometers>\n" +
                "        <engine>2.2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Land Rover</carMake>\n" +
                "        <carModel>Range Rover</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>NR9360PI</plateNumber>\n" +
                "        <kilometers>159069</kilometers>\n" +
                "        <engine>2.6</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>Intrepid</carModel>\n" +
                "        <year>2001</year>\n" +
                "        <plateNumber>OY9924GE</plateNumber>\n" +
                "        <kilometers>127029</kilometers>\n" +
                "        <engine>2.3</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>Viper</carModel>\n" +
                "        <year>2002</year>\n" +
                "        <plateNumber>OY9924GE</plateNumber>\n" +
                "        <kilometers>17029</kilometers>\n" +
                "        <engine>0.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Honda</carMake>\n" +
                "        <carModel>S2000</carModel>\n" +
                "        <year>2006</year>\n" +
                "        <plateNumber>JH5373JS</plateNumber>\n" +
                "        <kilometers>304688</kilometers>\n" +
                "        <engine>1.4</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Audi</carMake>\n" +
                "        <carModel>A8</carModel>\n" +
                "        <year>1998</year>\n" +
                "        <plateNumber>HV6403FF</plateNumber>\n" +
                "        <kilometers>345548</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercedes-Benz</carMake>\n" +
                "        <carModel>E-Class</carModel>\n" +
                "        <year>1989</year>\n" +
                "        <plateNumber>QG6363GJ</plateNumber>\n" +
                "        <kilometers>329396</kilometers>\n" +
                "        <engine>1.9</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Infiniti</carMake>\n" +
                "        <carModel>II</carModel>\n" +
                "        <year>2003</year>\n" +
                "        <plateNumber>BY3545TD</plateNumber>\n" +
                "        <kilometers>290806</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>BMW</carMake>\n" +
                "        <carModel>325</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>OH2442XY</plateNumber>\n" +
                "        <kilometers>279753</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ferrari</carMake>\n" +
                "        <carModel>599 GTB Fiorano</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>MJ3621LP</plateNumber>\n" +
                "        <kilometers>78182</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>BMW</carMake>\n" +
                "        <carModel>3 Series</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>HT4025NI</plateNumber>\n" +
                "        <kilometers>163477</kilometers>\n" +
                "        <engine>2.9</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Saab</carMake>\n" +
                "        <carModel>900</carModel>\n" +
                "        <year>1991</year>\n" +
                "        <plateNumber>OG3270QA</plateNumber>\n" +
                "        <kilometers>265506</kilometers>\n" +
                "        <engine>1.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Nissan</carMake>\n" +
                "        <carModel>Quest</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>JW8520XS</plateNumber>\n" +
                "        <kilometers>283813</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>Intrepid</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>PM1335EQ</plateNumber>\n" +
                "        <kilometers>339010</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>Trans Sport</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>DX7507XY</plateNumber>\n" +
                "        <kilometers>91429</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Lincoln</carMake>\n" +
                "        <carModel>MKX</carModel>\n" +
                "        <year>2013</year>\n" +
                "        <plateNumber>LH8833NL</plateNumber>\n" +
                "        <kilometers>191137</kilometers>\n" +
                "        <engine>1.9</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Saab</carMake>\n" +
                "        <carModel>9-5</carModel>\n" +
                "        <year>2006</year>\n" +
                "        <plateNumber>OG2403NL</plateNumber>\n" +
                "        <kilometers>80671</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Honda</carMake>\n" +
                "        <carModel>Civic</carModel>\n" +
                "        <year>2011</year>\n" +
                "        <plateNumber>FP4388LX</plateNumber>\n" +
                "        <kilometers>314484</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mazda</carMake>\n" +
                "        <carModel>MPV</carModel>\n" +
                "        <year>1993</year>\n" +
                "        <plateNumber>BL4032DF</plateNumber>\n" +
                "        <kilometers>139040</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Buick</carMake>\n" +
                "        <carModel>Coachbuilder</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>YH2964LW</plateNumber>\n" +
                "        <kilometers>97889</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>D150</carModel>\n" +
                "        <year>1992</year>\n" +
                "        <plateNumber>ED6655KW</plateNumber>\n" +
                "        <kilometers>256385</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Acura</carMake>\n" +
                "        <carModel>RL</carModel>\n" +
                "        <year>2008</year>\n" +
                "        <plateNumber>CK4020DO</plateNumber>\n" +
                "        <kilometers>122702</kilometers>\n" +
                "        <engine>3</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Saab</carMake>\n" +
                "        <carModel>9000</carModel>\n" +
                "        <year>1999</year>\n" +
                "        <plateNumber>ZM6516GD</plateNumber>\n" +
                "        <kilometers>81101</kilometers>\n" +
                "        <engine>1.7</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Buick</carMake>\n" +
                "        <carModel>Regal</carModel>\n" +
                "        <year>1987</year>\n" +
                "        <plateNumber>PB7870EX</plateNumber>\n" +
                "        <kilometers>291780</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>F150</carModel>\n" +
                "        <year>2006</year>\n" +
                "        <plateNumber>JJ2481JC</plateNumber>\n" +
                "        <kilometers>301570</kilometers>\n" +
                "        <engine>2.2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Express 3500</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>OQ3347RV</plateNumber>\n" +
                "        <kilometers>210691</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>Torrent</carModel>\n" +
                "        <year>2007</year>\n" +
                "        <plateNumber>WN3421OU</plateNumber>\n" +
                "        <kilometers>197012</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Volkswagen</carMake>\n" +
                "        <carModel>CC</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>NV3327PZ</plateNumber>\n" +
                "        <kilometers>236751</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Cadillac</carMake>\n" +
                "        <carModel>XLR</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>XZ9047NP</plateNumber>\n" +
                "        <kilometers>206485</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>BMW</carMake>\n" +
                "        <carModel>545</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>XX6007PW</plateNumber>\n" +
                "        <kilometers>197926</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Aveo</carModel>\n" +
                "        <year>2008</year>\n" +
                "        <plateNumber>YA4204ZV</plateNumber>\n" +
                "        <kilometers>219393</kilometers>\n" +
                "        <engine>3</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Lexus</carMake>\n" +
                "        <carModel>IS-F</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>BG5643BO</plateNumber>\n" +
                "        <kilometers>285002</kilometers>\n" +
                "        <engine>2.6</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Jeep</carMake>\n" +
                "        <carModel>Wrangler</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>FA2095MC</plateNumber>\n" +
                "        <kilometers>292812</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>Bonneville</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>VJ8884FW</plateNumber>\n" +
                "        <kilometers>79595</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Subaru</carMake>\n" +
                "        <carModel>Legacy</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>MF3027YH</plateNumber>\n" +
                "        <kilometers>201507</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Toyota</carMake>\n" +
                "        <carModel>Camry</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>ZF3171WF</plateNumber>\n" +
                "        <kilometers>123980</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Cadillac</carMake>\n" +
                "        <carModel>Seville</carModel>\n" +
                "        <year>1999</year>\n" +
                "        <plateNumber>UK9410PK</plateNumber>\n" +
                "        <kilometers>213203</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercedes-Benz</carMake>\n" +
                "        <carModel>300D</carModel>\n" +
                "        <year>1992</year>\n" +
                "        <plateNumber>US9174IC</plateNumber>\n" +
                "        <kilometers>321364</kilometers>\n" +
                "        <engine>1.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Porsche</carMake>\n" +
                "        <carModel>Boxster</carModel>\n" +
                "        <year>1999</year>\n" +
                "        <plateNumber>DO1002GC</plateNumber>\n" +
                "        <kilometers>186911</kilometers>\n" +
                "        <engine>2.1</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Taurus</carModel>\n" +
                "        <year>2002</year>\n" +
                "        <plateNumber>RW8495UI</plateNumber>\n" +
                "        <kilometers>325578</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercury</carMake>\n" +
                "        <carModel>Monterey</carModel>\n" +
                "        <year>2007</year>\n" +
                "        <plateNumber>OH1547FN</plateNumber>\n" +
                "        <kilometers>229310</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Classic</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>JS7873UP</plateNumber>\n" +
                "        <kilometers>74094</kilometers>\n" +
                "        <engine>1.2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Acura</carMake>\n" +
                "        <carModel>TL</carModel>\n" +
                "        <year>1997</year>\n" +
                "        <plateNumber>ZV6416LD</plateNumber>\n" +
                "        <kilometers>74973</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Thunderbird</carModel>\n" +
                "        <year>1958</year>\n" +
                "        <plateNumber>RB2042CD</plateNumber>\n" +
                "        <kilometers>307420</kilometers>\n" +
                "        <engine>1.7</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chrysler</carMake>\n" +
                "        <carModel>Town &amp; Country</carModel>\n" +
                "        <year>2008</year>\n" +
                "        <plateNumber>DR2107JJ</plateNumber>\n" +
                "        <kilometers>187731</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Eagle</carMake>\n" +
                "        <carModel>Premier</carModel>\n" +
                "        <year>1992</year>\n" +
                "        <plateNumber>WQ5606QL</plateNumber>\n" +
                "        <kilometers>340912</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercury</carMake>\n" +
                "        <carModel>Mystique</carModel>\n" +
                "        <year>2000</year>\n" +
                "        <plateNumber>MT2425FL</plateNumber>\n" +
                "        <kilometers>147516</kilometers>\n" +
                "        <engine>1.2</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Saturn</carMake>\n" +
                "        <carModel>S-Series</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>OK2850BL</plateNumber>\n" +
                "        <kilometers>130635</kilometers>\n" +
                "        <engine>1.4</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Audi</carMake>\n" +
                "        <carModel>A3</carModel>\n" +
                "        <year>2012</year>\n" +
                "        <plateNumber>KS5942FO</plateNumber>\n" +
                "        <kilometers>326560</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Oldsmobile</carMake>\n" +
                "        <carModel>98</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>NC2758LU</plateNumber>\n" +
                "        <kilometers>135976</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>F250</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>PW5566PE</plateNumber>\n" +
                "        <kilometers>245471</kilometers>\n" +
                "        <engine>1.7</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>Viper</carModel>\n" +
                "        <year>2003</year>\n" +
                "        <plateNumber>YB6633TB</plateNumber>\n" +
                "        <kilometers>228694</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Suzuki</carMake>\n" +
                "        <carModel>Swift</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>ZJ0515MD</plateNumber>\n" +
                "        <kilometers>297765</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Contour</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>YK9763RM</plateNumber>\n" +
                "        <kilometers>275850</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Subaru</carMake>\n" +
                "        <carModel>Legacy</carModel>\n" +
                "        <year>1990</year>\n" +
                "        <plateNumber>IL2040FU</plateNumber>\n" +
                "        <kilometers>63521</kilometers>\n" +
                "        <engine>1.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Taurus</carModel>\n" +
                "        <year>1989</year>\n" +
                "        <plateNumber>NO2142WE</plateNumber>\n" +
                "        <kilometers>304729</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Saturn</carMake>\n" +
                "        <carModel>S-Series</carModel>\n" +
                "        <year>2000</year>\n" +
                "        <plateNumber>HZ9391FQ</plateNumber>\n" +
                "        <kilometers>342026</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Land Rover</carMake>\n" +
                "        <carModel>Defender</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>LI0756ZY</plateNumber>\n" +
                "        <kilometers>159828</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Lexus</carMake>\n" +
                "        <carModel>ES</carModel>\n" +
                "        <year>1991</year>\n" +
                "        <plateNumber>PA5282BB</plateNumber>\n" +
                "        <kilometers>192181</kilometers>\n" +
                "        <engine>2.3</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercedes-Benz</carMake>\n" +
                "        <carModel>S-Class</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>ZH0774CM</plateNumber>\n" +
                "        <kilometers>153376</kilometers>\n" +
                "        <engine>1.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Buick</carMake>\n" +
                "        <carModel>Riviera</carModel>\n" +
                "        <year>1990</year>\n" +
                "        <plateNumber>ZM0100FC</plateNumber>\n" +
                "        <kilometers>300989</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>BMW</carMake>\n" +
                "        <carModel>330</carModel>\n" +
                "        <year>2006</year>\n" +
                "        <plateNumber>UF3717DF</plateNumber>\n" +
                "        <kilometers>230789</kilometers>\n" +
                "        <engine>1.3</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Ccarn Victoria</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>RS1843KR</plateNumber>\n" +
                "        <kilometers>83544</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mazda</carMake>\n" +
                "        <carModel>Miata MX-5</carModel>\n" +
                "        <year>2002</year>\n" +
                "        <plateNumber>TR5478LV</plateNumber>\n" +
                "        <kilometers>200186</kilometers>\n" +
                "        <engine>1.3</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Aveo</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>SR7336QN</plateNumber>\n" +
                "        <kilometers>66424</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Volvo</carMake>\n" +
                "        <carModel>V40</carModel>\n" +
                "        <year>2004</year>\n" +
                "        <plateNumber>SZ6904VG</plateNumber>\n" +
                "        <kilometers>344602</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Lamborghini</carMake>\n" +
                "        <carModel>Murciélago</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>UK2725DW</plateNumber>\n" +
                "        <kilometers>341948</kilometers>\n" +
                "        <engine>1.3</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Metro</carModel>\n" +
                "        <year>1999</year>\n" +
                "        <plateNumber>OI5188SL</plateNumber>\n" +
                "        <kilometers>61679</kilometers>\n" +
                "        <engine>2.6</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Monza</carModel>\n" +
                "        <year>1975</year>\n" +
                "        <plateNumber>LA5734TF</plateNumber>\n" +
                "        <kilometers>337537</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Toyota</carMake>\n" +
                "        <carModel>Avalon</carModel>\n" +
                "        <year>1998</year>\n" +
                "        <plateNumber>XN1625CY</plateNumber>\n" +
                "        <kilometers>136503</kilometers>\n" +
                "        <engine>1.5</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>Express</carModel>\n" +
                "        <year>2011</year>\n" +
                "        <plateNumber>NB2364LM</plateNumber>\n" +
                "        <kilometers>248361</kilometers>\n" +
                "        <engine>2.2</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Buick</carMake>\n" +
                "        <carModel>Regal</carModel>\n" +
                "        <year>2011</year>\n" +
                "        <plateNumber>DV9585ZB</plateNumber>\n" +
                "        <kilometers>334318</kilometers>\n" +
                "        <engine>1.9</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>Grand Prix</carModel>\n" +
                "        <year>1978</year>\n" +
                "        <plateNumber>HY2275OK</plateNumber>\n" +
                "        <kilometers>183863</kilometers>\n" +
                "        <engine>1.9</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Lexus</carMake>\n" +
                "        <carModel>GS</carModel>\n" +
                "        <year>2013</year>\n" +
                "        <plateNumber>XD9829VM</plateNumber>\n" +
                "        <kilometers>102040</kilometers>\n" +
                "        <engine>2.9</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>3500</carModel>\n" +
                "        <year>1995</year>\n" +
                "        <plateNumber>XA0841AV</plateNumber>\n" +
                "        <kilometers>144491</kilometers>\n" +
                "        <engine>1</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Volkswagen</carMake>\n" +
                "        <carModel>rio</carModel>\n" +
                "        <year>2001</year>\n" +
                "        <plateNumber>GY3892UT</plateNumber>\n" +
                "        <kilometers>336105</kilometers>\n" +
                "        <engine>2.2</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Oldsmobile</carMake>\n" +
                "        <carModel>88</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>BC6947OP</plateNumber>\n" +
                "        <kilometers>235480</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercury</carMake>\n" +
                "        <carModel>Marquis</carModel>\n" +
                "        <year>1986</year>\n" +
                "        <plateNumber>JI8310JU</plateNumber>\n" +
                "        <kilometers>337301</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chrysler</carMake>\n" +
                "        <carModel>PT Cruiser</carModel>\n" +
                "        <year>2008</year>\n" +
                "        <plateNumber>IB2943GQ</plateNumber>\n" +
                "        <kilometers>340535</kilometers>\n" +
                "        <engine>2.3</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Ford</carMake>\n" +
                "        <carModel>Escort</carModel>\n" +
                "        <year>2000</year>\n" +
                "        <plateNumber>BQ1188LC</plateNumber>\n" +
                "        <kilometers>183738</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>1000</carModel>\n" +
                "        <year>1986</year>\n" +
                "        <plateNumber>ZZ7383KD</plateNumber>\n" +
                "        <kilometers>292464</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Maserati</carMake>\n" +
                "        <carModel>Spyder</carModel>\n" +
                "        <year>2003</year>\n" +
                "        <plateNumber>YO8687IZ</plateNumber>\n" +
                "        <kilometers>269339</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Audi</carMake>\n" +
                "        <carModel>riolet</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>PE5788XD</plateNumber>\n" +
                "        <kilometers>105759</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Volkswagen</carMake>\n" +
                "        <carModel>Golf</carModel>\n" +
                "        <year>1976</year>\n" +
                "        <plateNumber>EM6779EM</plateNumber>\n" +
                "        <kilometers>76570</kilometers>\n" +
                "        <engine>1.2</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Cadillac</carMake>\n" +
                "        <carModel>Escalade</carModel>\n" +
                "        <year>2007</year>\n" +
                "        <plateNumber>BX4457SK</plateNumber>\n" +
                "        <kilometers>332063</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Acura</carMake>\n" +
                "        <carModel>MDX</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>RP6935RD</plateNumber>\n" +
                "        <kilometers>307712</kilometers>\n" +
                "        <engine>1.1</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Porsche</carMake>\n" +
                "        <carModel>Cayman</carModel>\n" +
                "        <year>2009</year>\n" +
                "        <plateNumber>FT6932WO</plateNumber>\n" +
                "        <kilometers>250357</kilometers>\n" +
                "        <engine>1</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chevrolet</carMake>\n" +
                "        <carModel>HHR</carModel>\n" +
                "        <year>2008</year>\n" +
                "        <plateNumber>MQ2420XK</plateNumber>\n" +
                "        <kilometers>341940</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mazda</carMake>\n" +
                "        <carModel>MX-3</carModel>\n" +
                "        <year>1994</year>\n" +
                "        <plateNumber>GE7620MQ</plateNumber>\n" +
                "        <kilometers>146622</kilometers>\n" +
                "        <engine>2</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>BMW</carMake>\n" +
                "        <carModel>M3</carModel>\n" +
                "        <year>1996</year>\n" +
                "        <plateNumber>PT0949YN</plateNumber>\n" +
                "        <kilometers>249311</kilometers>\n" +
                "        <engine>2.7</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Audi</carMake>\n" +
                "        <carModel>S6</carModel>\n" +
                "        <year>2007</year>\n" +
                "        <plateNumber>LZ1999SO</plateNumber>\n" +
                "        <kilometers>242361</kilometers>\n" +
                "        <engine>2.6</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Chrysler</carMake>\n" +
                "        <carModel>Sebring</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>WD4020WP</plateNumber>\n" +
                "        <kilometers>265466</kilometers>\n" +
                "        <engine>1.8</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Jaguar</carMake>\n" +
                "        <carModel>XJ</carModel>\n" +
                "        <year>2007</year>\n" +
                "        <plateNumber>PW6588ST</plateNumber>\n" +
                "        <kilometers>182327</kilometers>\n" +
                "        <engine>1.6</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Honda</carMake>\n" +
                "        <carModel>Prelude</carModel>\n" +
                "        <year>2000</year>\n" +
                "        <plateNumber>IW9220QZ</plateNumber>\n" +
                "        <kilometers>110807</kilometers>\n" +
                "        <engine>1.9</engine>\n" +
                "        <carType>sport</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Toyota</carMake>\n" +
                "        <carModel>Tacoma</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>MR1786ZG</plateNumber>\n" +
                "        <kilometers>103752</kilometers>\n" +
                "        <engine>2.8</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Toyota</carMake>\n" +
                "        <carModel>Camry</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>TO1407ZT</plateNumber>\n" +
                "        <kilometers>319292</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mercedes-Benz</carMake>\n" +
                "        <carModel>SL-Class</carModel>\n" +
                "        <year>1993</year>\n" +
                "        <plateNumber>MD9630WK</plateNumber>\n" +
                "        <kilometers>86912</kilometers>\n" +
                "        <engine>2.5</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Pontiac</carMake>\n" +
                "        <carModel>Grand Prix</carModel>\n" +
                "        <year>1981</year>\n" +
                "        <plateNumber>JK1993AO</plateNumber>\n" +
                "        <kilometers>260628</kilometers>\n" +
                "        <engine>2.4</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Dodge</carMake>\n" +
                "        <carModel>Challenger</carModel>\n" +
                "        <year>2010</year>\n" +
                "        <plateNumber>AU3739FZ</plateNumber>\n" +
                "        <kilometers>226423</kilometers>\n" +
                "        <engine>1.4</engine>\n" +
                "        <carType>SUV</carType>\n" +
                "    </car>\n" +
                "    <car>\n" +
                "        <carMake>Mazda</carMake>\n" +
                "        <carModel>Miata MX-5</carModel>\n" +
                "        <year>2005</year>\n" +
                "        <plateNumber>CO5040KI</plateNumber>\n" +
                "        <kilometers>267695</kilometers>\n" +
                "        <engine>2.1</engine>\n" +
                "        <carType>coupe</carType>\n" +
                "    </car>\n" +
                "</cars>\n" ;

        String actual = carsService.readCarsFromFile();

        Assertions.assertEquals(expected, actual);
    }
}