package softuni.exam.readFile;
//TestTasksServiceReadFromFile

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.junit.jupiter.MockitoExtension;
import org.springframework.test.annotation.DirtiesContext;
import softuni.exam.service.TasksService;
import softuni.exam.service.impl.TasksServiceImpl;

import java.io.IOException;

@ExtendWith(MockitoExtension.class)
public class TestTasksServiceReadFromFile {

    @InjectMocks
    private TasksServiceImpl tasksService;


    @Test
    void readTasksFromFile() throws IOException {

        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("<?xml version='1.0' encoding='UTF-8'?>\n" +
                "<tasks>\n" +
                "    <task>\n" +
                "        <date>2021-01-28 06:43:21</date>\n" +
                "        <price>-150.04</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roshelle</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-28 06:43:21</date>\n" +
                "        <price>240.04</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roshelle</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-10 06:53:58</date>\n" +
                "        <price>1325.82</price>\n" +
                "        <car>\n" +
                "            <id>35</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ozzie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-24 02:11:32</date>\n" +
                "        <price>1033.98</price>\n" +
                "        <car>\n" +
                "            <id>16</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lothaire</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-07 05:08:51</date>\n" +
                "        <price>1230.28</price>\n" +
                "        <car>\n" +
                "            <id>49</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mandel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-07 05:08:51</date>\n" +
                "        <price>1230.28</price>\n" +
                "        <car>\n" +
                "            <id>49</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>DoesntExist</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-19 16:51:20</date>\n" +
                "        <price>705.94</price>\n" +
                "        <car>\n" +
                "            <id>99</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mandel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-27 22:06:04</date>\n" +
                "        <price>969.34</price>\n" +
                "        <car>\n" +
                "            <id>20</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Batholomew</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>48</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-06 06:59:40</date>\n" +
                "        <price>280.38</price>\n" +
                "        <car>\n" +
                "            <id>69</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Coleen</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-11 06:51:44</date>\n" +
                "        <price>537.83</price>\n" +
                "        <car>\n" +
                "            <id>23</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ximenez</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-17 02:57:20</date>\n" +
                "        <price>755.42</price>\n" +
                "        <car>\n" +
                "            <id>51</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Idalina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-18 06:26:57</date>\n" +
                "        <price>1046.05</price>\n" +
                "        <car>\n" +
                "            <id>62</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-13 11:54:52</date>\n" +
                "        <price>876.56</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Jephthah</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>13</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-26 18:48:39</date>\n" +
                "        <price>1144.42</price>\n" +
                "        <car>\n" +
                "            <id>13</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lizbeth</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-24 14:13:00</date>\n" +
                "        <price>931.67</price>\n" +
                "        <car>\n" +
                "            <id>95</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Averill</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-30 01:17:12</date>\n" +
                "        <price>221.43</price>\n" +
                "        <car>\n" +
                "            <id>10</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Althea</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>12</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-22 02:47:17</date>\n" +
                "        <price>515.78</price>\n" +
                "        <car>\n" +
                "            <id>85</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dene</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-10-22 03:03:25</date>\n" +
                "        <price>820.21</price>\n" +
                "        <car>\n" +
                "            <id>75</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Rozanna</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-10 16:31:31</date>\n" +
                "        <price>885.94</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Thain</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-24 18:34:53</date>\n" +
                "        <price>368.12</price>\n" +
                "        <car>\n" +
                "            <id>51</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-19 08:04:49</date>\n" +
                "        <price>1424.28</price>\n" +
                "        <car>\n" +
                "            <id>67</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-24 13:30:15</date>\n" +
                "        <price>1317.13</price>\n" +
                "        <car>\n" +
                "            <id>56</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lonnie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-24 08:27:29</date>\n" +
                "        <price>330.49</price>\n" +
                "        <car>\n" +
                "            <id>93</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Evvie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-15 23:53:34</date>\n" +
                "        <price>1211.58</price>\n" +
                "        <car>\n" +
                "            <id>99</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flemming</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>21</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-26 13:26:10</date>\n" +
                "        <price>431.82</price>\n" +
                "        <car>\n" +
                "            <id>93</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cassandre</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>21</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-10 16:21:19</date>\n" +
                "        <price>1688.43</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexei</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-30 03:28:28</date>\n" +
                "        <price>1266.29</price>\n" +
                "        <car>\n" +
                "            <id>40</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-04 13:55:05</date>\n" +
                "        <price>108.48</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Jephthah</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-29 16:48:31</date>\n" +
                "        <price>1521.94</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerladina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-27 16:00:40</date>\n" +
                "        <price>1111.56</price>\n" +
                "        <car>\n" +
                "            <id>57</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Esdras</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-01 19:32:29</date>\n" +
                "        <price>1599.9</price>\n" +
                "        <car>\n" +
                "            <id>96</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ashlie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-11 17:55:21</date>\n" +
                "        <price>1516.61</price>\n" +
                "        <car>\n" +
                "            <id>48</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caritta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-24 02:31:05</date>\n" +
                "        <price>846.4</price>\n" +
                "        <car>\n" +
                "            <id>74</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Evvie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-22 23:32:15</date>\n" +
                "        <price>256.68</price>\n" +
                "        <car>\n" +
                "            <id>68</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lothaire</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-15 06:06:01</date>\n" +
                "        <price>254.97</price>\n" +
                "        <car>\n" +
                "            <id>90</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-25 23:16:48</date>\n" +
                "        <price>427.87</price>\n" +
                "        <car>\n" +
                "            <id>42</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Miguela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-27 22:10:38</date>\n" +
                "        <price>1217.8</price>\n" +
                "        <car>\n" +
                "            <id>45</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cary</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>12</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-13 07:49:26</date>\n" +
                "        <price>425.25</price>\n" +
                "        <car>\n" +
                "            <id>9</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Idalina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-25 13:51:17</date>\n" +
                "        <price>405.74</price>\n" +
                "        <car>\n" +
                "            <id>37</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Onfroi</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-29 18:38:10</date>\n" +
                "        <price>1397.66</price>\n" +
                "        <car>\n" +
                "            <id>90</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Megan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-02 09:59:58</date>\n" +
                "        <price>1219.29</price>\n" +
                "        <car>\n" +
                "            <id>70</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Don</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-05 21:05:02</date>\n" +
                "        <price>1103.83</price>\n" +
                "        <car>\n" +
                "            <id>9</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-13 09:54:24</date>\n" +
                "        <price>1231.49</price>\n" +
                "        <car>\n" +
                "            <id>97</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flynn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-26 03:58:52</date>\n" +
                "        <price>219.43</price>\n" +
                "        <car>\n" +
                "            <id>17</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Raphaela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-20 06:13:28</date>\n" +
                "        <price>383.66</price>\n" +
                "        <car>\n" +
                "            <id>15</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-27 22:48:42</date>\n" +
                "        <price>532.12</price>\n" +
                "        <car>\n" +
                "            <id>24</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Bria</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-03 23:05:51</date>\n" +
                "        <price>1262.46</price>\n" +
                "        <car>\n" +
                "            <id>34</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caldwell</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-04 17:11:21</date>\n" +
                "        <price>859.04</price>\n" +
                "        <car>\n" +
                "            <id>60</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Abbye</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-02 22:48:43</date>\n" +
                "        <price>718.33</price>\n" +
                "        <car>\n" +
                "            <id>37</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Margalo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-16 15:05:50</date>\n" +
                "        <price>1053.58</price>\n" +
                "        <car>\n" +
                "            <id>40</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>24</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-27 09:29:05</date>\n" +
                "        <price>249.25</price>\n" +
                "        <car>\n" +
                "            <id>26</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Madelaine</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>15</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-06 06:56:35</date>\n" +
                "        <price>877.57</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Evvie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>9</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-10-30 17:27:56</date>\n" +
                "        <price>1491.68</price>\n" +
                "        <car>\n" +
                "            <id>81</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>23</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-09 13:25:10</date>\n" +
                "        <price>1509.85</price>\n" +
                "        <car>\n" +
                "            <id>15</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>1</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-22 01:04:42</date>\n" +
                "        <price>764.74</price>\n" +
                "        <car>\n" +
                "            <id>19</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Any</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-08 05:32:32</date>\n" +
                "        <price>1563.12</price>\n" +
                "        <car>\n" +
                "            <id>20</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-16 16:56:53</date>\n" +
                "        <price>1470.81</price>\n" +
                "        <car>\n" +
                "            <id>55</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Devin</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-21 07:06:49</date>\n" +
                "        <price>881.44</price>\n" +
                "        <car>\n" +
                "            <id>77</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Koenraad</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>13</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-03 09:10:48</date>\n" +
                "        <price>1435.3</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ximenez</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-21 18:47:28</date>\n" +
                "        <price>1031.75</price>\n" +
                "        <car>\n" +
                "            <id>19</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sunny</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-13 09:38:40</date>\n" +
                "        <price>410.09</price>\n" +
                "        <car>\n" +
                "            <id>57</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mab</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-11 16:40:47</date>\n" +
                "        <price>731.81</price>\n" +
                "        <car>\n" +
                "            <id>55</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Modesta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-14 16:14:05</date>\n" +
                "        <price>569.02</price>\n" +
                "        <car>\n" +
                "            <id>51</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Brigit</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-12 16:00:13</date>\n" +
                "        <price>1358.85</price>\n" +
                "        <car>\n" +
                "            <id>79</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Justis</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-29 06:46:12</date>\n" +
                "        <price>811.93</price>\n" +
                "        <car>\n" +
                "            <id>30</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Laurens</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-21 18:28:54</date>\n" +
                "        <price>1588.6</price>\n" +
                "        <car>\n" +
                "            <id>19</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Jephthah</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-09 14:44:03</date>\n" +
                "        <price>1272.91</price>\n" +
                "        <car>\n" +
                "            <id>31</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-16 05:28:28</date>\n" +
                "        <price>683.08</price>\n" +
                "        <car>\n" +
                "            <id>77</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cary</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>46</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-27 08:54:36</date>\n" +
                "        <price>1543.49</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Althea</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>3</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-29 08:05:10</date>\n" +
                "        <price>451.35</price>\n" +
                "        <car>\n" +
                "            <id>29</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Modesta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-17 06:57:05</date>\n" +
                "        <price>1486.11</price>\n" +
                "        <car>\n" +
                "            <id>37</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Paddie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-18 07:06:38</date>\n" +
                "        <price>1688.24</price>\n" +
                "        <car>\n" +
                "            <id>14</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Teddy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-29 03:26:48</date>\n" +
                "        <price>843.44</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Philly</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-26 09:40:53</date>\n" +
                "        <price>1651.11</price>\n" +
                "        <car>\n" +
                "            <id>10</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pinchas</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-17 07:47:41</date>\n" +
                "        <price>931.6</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-16 01:26:44</date>\n" +
                "        <price>1414.99</price>\n" +
                "        <car>\n" +
                "            <id>97</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sharron</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-07 15:05:52</date>\n" +
                "        <price>163.95</price>\n" +
                "        <car>\n" +
                "            <id>85</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Modesta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-24 21:41:34</date>\n" +
                "        <price>157.82</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-06 06:33:40</date>\n" +
                "        <price>73.31</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Papagena</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-27 12:58:09</date>\n" +
                "        <price>1455.98</price>\n" +
                "        <car>\n" +
                "            <id>54</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mab</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-25 20:06:09</date>\n" +
                "        <price>332.94</price>\n" +
                "        <car>\n" +
                "            <id>89</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flynn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-17 07:53:08</date>\n" +
                "        <price>1257.39</price>\n" +
                "        <car>\n" +
                "            <id>33</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pinchas</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>9</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-20 19:49:18</date>\n" +
                "        <price>1003.14</price>\n" +
                "        <car>\n" +
                "            <id>95</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sandor</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-06 04:57:53</date>\n" +
                "        <price>1329.86</price>\n" +
                "        <car>\n" +
                "            <id>66</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-27 18:51:57</date>\n" +
                "        <price>1446.7</price>\n" +
                "        <car>\n" +
                "            <id>13</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ashlie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-27 06:43:37</date>\n" +
                "        <price>347.19</price>\n" +
                "        <car>\n" +
                "            <id>23</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Onfroi</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>24</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-10 15:30:03</date>\n" +
                "        <price>203.45</price>\n" +
                "        <car>\n" +
                "            <id>3</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Viva</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-23 16:11:29</date>\n" +
                "        <price>82.77</price>\n" +
                "        <car>\n" +
                "            <id>21</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cleve</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-06 23:51:56</date>\n" +
                "        <price>669.48</price>\n" +
                "        <car>\n" +
                "            <id>31</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-24 07:49:34</date>\n" +
                "        <price>113.09</price>\n" +
                "        <car>\n" +
                "            <id>28</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-25 11:11:17</date>\n" +
                "        <price>283.38</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-21 12:23:08</date>\n" +
                "        <price>503.83</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roseline</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-07 20:23:40</date>\n" +
                "        <price>415.89</price>\n" +
                "        <car>\n" +
                "            <id>87</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Raphaela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>44</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-03 23:22:44</date>\n" +
                "        <price>878.29</price>\n" +
                "        <car>\n" +
                "            <id>5</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-24 15:21:02</date>\n" +
                "        <price>1166.22</price>\n" +
                "        <car>\n" +
                "            <id>82</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerladina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>13</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-26 04:14:01</date>\n" +
                "        <price>878.78</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mariel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-06 02:55:29</date>\n" +
                "        <price>235.42</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-28 13:48:06</date>\n" +
                "        <price>646.92</price>\n" +
                "        <car>\n" +
                "            <id>44</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dulcy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>44</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-07 13:20:04</date>\n" +
                "        <price>1377.06</price>\n" +
                "        <car>\n" +
                "            <id>45</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Deanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-06 13:31:09</date>\n" +
                "        <price>1288.95</price>\n" +
                "        <car>\n" +
                "            <id>89</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Viva</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-07 15:36:02</date>\n" +
                "        <price>386.74</price>\n" +
                "        <car>\n" +
                "            <id>57</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Erda</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-26 06:57:52</date>\n" +
                "        <price>404.12</price>\n" +
                "        <car>\n" +
                "            <id>96</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ebonee</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>12</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-10-12 18:41:33</date>\n" +
                "        <price>1611.69</price>\n" +
                "        <car>\n" +
                "            <id>27</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Don</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-06 21:05:02</date>\n" +
                "        <price>1568.23</price>\n" +
                "        <car>\n" +
                "            <id>10</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hatty</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>13</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-20 14:13:26</date>\n" +
                "        <price>1353.01</price>\n" +
                "        <car>\n" +
                "            <id>3</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roseline</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>12</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-07 09:49:44</date>\n" +
                "        <price>236.61</price>\n" +
                "        <car>\n" +
                "            <id>52</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sharron</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-17 15:25:37</date>\n" +
                "        <price>1345.62</price>\n" +
                "        <car>\n" +
                "            <id>29</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-31 13:28:03</date>\n" +
                "        <price>603.71</price>\n" +
                "        <car>\n" +
                "            <id>75</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Allyn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-10-28 05:59:44</date>\n" +
                "        <price>619.37</price>\n" +
                "        <car>\n" +
                "            <id>95</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-25 01:36:48</date>\n" +
                "        <price>335.14</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Rozanna</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-11 16:57:21</date>\n" +
                "        <price>1247.45</price>\n" +
                "        <car>\n" +
                "            <id>8</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caren</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-19 05:31:12</date>\n" +
                "        <price>1359.88</price>\n" +
                "        <car>\n" +
                "            <id>90</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Thain</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-31 18:11:59</date>\n" +
                "        <price>752.14</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Raphaela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-22 21:36:02</date>\n" +
                "        <price>336.62</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Esdras</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-16 20:38:20</date>\n" +
                "        <price>993.11</price>\n" +
                "        <car>\n" +
                "            <id>63</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Krystal</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-22 19:20:40</date>\n" +
                "        <price>1408.22</price>\n" +
                "        <car>\n" +
                "            <id>6</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Christie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>").append("\n");
        stringBuilder.append("    <task>\n" +
                "        <date>2022-07-13 12:17:44</date>\n" +
                "        <price>510.02</price>\n" +
                "        <car>\n" +
                "            <id>82</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pia</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-17 03:05:37</date>\n" +
                "        <price>633.1</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Bria</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-21 10:19:32</date>\n" +
                "        <price>565.32</price>\n" +
                "        <car>\n" +
                "            <id>22</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dulcy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-01 21:01:38</date>\n" +
                "        <price>1491.8</price>\n" +
                "        <car>\n" +
                "            <id>61</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Thain</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-27 12:14:02</date>\n" +
                "        <price>265.47</price>\n" +
                "        <car>\n" +
                "            <id>12</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Delcina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-12 00:52:09</date>\n" +
                "        <price>1214.36</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lizbeth</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-15 18:49:21</date>\n" +
                "        <price>703.23</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alanson</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>19</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-31 00:28:04</date>\n" +
                "        <price>675.19</price>\n" +
                "        <car>\n" +
                "            <id>83</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lizbeth</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-23 07:52:25</date>\n" +
                "        <price>243.4</price>\n" +
                "        <car>\n" +
                "            <id>35</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Don</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>24</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-26 15:30:51</date>\n" +
                "        <price>149.04</price>\n" +
                "        <car>\n" +
                "            <id>38</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hew</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-02 11:27:56</date>\n" +
                "        <price>449.85</price>\n" +
                "        <car>\n" +
                "            <id>91</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexei</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-20 09:57:27</date>\n" +
                "        <price>107.47</price>\n" +
                "        <car>\n" +
                "            <id>75</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Paddie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-22 06:17:29</date>\n" +
                "        <price>770.46</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cleve</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-25 08:18:16</date>\n" +
                "        <price>883.65</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerianne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-05 23:11:51</date>\n" +
                "        <price>1661.91</price>\n" +
                "        <car>\n" +
                "            <id>78</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cortney</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-28 07:27:17</date>\n" +
                "        <price>1512.62</price>\n" +
                "        <car>\n" +
                "            <id>65</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lizbeth</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>46</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-04 09:19:05</date>\n" +
                "        <price>853.91</price>\n" +
                "        <car>\n" +
                "            <id>27</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ashlie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-20 18:25:34</date>\n" +
                "        <price>923.29</price>\n" +
                "        <car>\n" +
                "            <id>56</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Allyn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-24 21:57:32</date>\n" +
                "        <price>1116.77</price>\n" +
                "        <car>\n" +
                "            <id>13</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mandel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-19 08:13:46</date>\n" +
                "        <price>275.95</price>\n" +
                "        <car>\n" +
                "            <id>91</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Philly</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>23</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-03 01:16:08</date>\n" +
                "        <price>1572.55</price>\n" +
                "        <car>\n" +
                "            <id>49</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-09 04:09:21</date>\n" +
                "        <price>990.18</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dulcy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>15</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-08 12:17:22</date>\n" +
                "        <price>43.68</price>\n" +
                "        <car>\n" +
                "            <id>46</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dene</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-08 18:09:32</date>\n" +
                "        <price>1594.36</price>\n" +
                "        <car>\n" +
                "            <id>35</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Idalina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>48</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-07 05:36:20</date>\n" +
                "        <price>926.93</price>\n" +
                "        <car>\n" +
                "            <id>36</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Justis</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-10-15 12:26:48</date>\n" +
                "        <price>881.94</price>\n" +
                "        <car>\n" +
                "            <id>60</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caritta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>3</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-11 11:41:54</date>\n" +
                "        <price>987.28</price>\n" +
                "        <car>\n" +
                "            <id>96</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cary</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-26 02:02:11</date>\n" +
                "        <price>863.06</price>\n" +
                "        <car>\n" +
                "            <id>41</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>21</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-29 03:22:05</date>\n" +
                "        <price>1396.82</price>\n" +
                "        <car>\n" +
                "            <id>73</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-01 15:59:37</date>\n" +
                "        <price>343.96</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roshelle</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-14 05:25:56</date>\n" +
                "        <price>1213.46</price>\n" +
                "        <car>\n" +
                "            <id>54</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hatty</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>40</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-20 08:21:19</date>\n" +
                "        <price>1617.75</price>\n" +
                "        <car>\n" +
                "            <id>41</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Zuzana</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-24 19:04:02</date>\n" +
                "        <price>1181.9</price>\n" +
                "        <car>\n" +
                "            <id>71</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-15 03:20:09</date>\n" +
                "        <price>1346.2</price>\n" +
                "        <car>\n" +
                "            <id>44</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Nickie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-13 06:15:25</date>\n" +
                "        <price>544.05</price>\n" +
                "        <car>\n" +
                "            <id>94</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-30 15:44:21</date>\n" +
                "        <price>1183.43</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Krystal</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>12</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-08 23:43:02</date>\n" +
                "        <price>649.39</price>\n" +
                "        <car>\n" +
                "            <id>74</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Papagena</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>10</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-27 09:36:40</date>\n" +
                "        <price>566.83</price>\n" +
                "        <car>\n" +
                "            <id>70</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ximenez</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-14 08:30:28</date>\n" +
                "        <price>633.77</price>\n" +
                "        <car>\n" +
                "            <id>80</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lonnie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-28 15:46:23</date>\n" +
                "        <price>843.76</price>\n" +
                "        <car>\n" +
                "            <id>87</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Philly</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>46</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-25 16:53:49</date>\n" +
                "        <price>1052.83</price>\n" +
                "        <car>\n" +
                "            <id>51</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marysa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>22</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-26 23:50:05</date>\n" +
                "        <price>1538.82</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-12 00:13:38</date>\n" +
                "        <price>239.43</price>\n" +
                "        <car>\n" +
                "            <id>57</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>24</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-13 07:53:08</date>\n" +
                "        <price>1204.71</price>\n" +
                "        <car>\n" +
                "            <id>10</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Miguela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-27 12:25:19</date>\n" +
                "        <price>179.5</price>\n" +
                "        <car>\n" +
                "            <id>21</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Abbye</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-17 12:29:15</date>\n" +
                "        <price>932.43</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Nickie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-19 07:04:40</date>\n" +
                "        <price>1037.95</price>\n" +
                "        <car>\n" +
                "            <id>38</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerladina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-22 11:29:25</date>\n" +
                "        <price>840.89</price>\n" +
                "        <car>\n" +
                "            <id>58</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Leopold</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-13 19:36:41</date>\n" +
                "        <price>316.94</price>\n" +
                "        <car>\n" +
                "            <id>84</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lonnie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-09 05:48:16</date>\n" +
                "        <price>1436.39</price>\n" +
                "        <car>\n" +
                "            <id>18</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Kristoforo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-07 09:18:36</date>\n" +
                "        <price>1279.19</price>\n" +
                "        <car>\n" +
                "            <id>8</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hanan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-13 04:01:43</date>\n" +
                "        <price>906.01</price>\n" +
                "        <car>\n" +
                "            <id>22</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mariel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-19 19:26:12</date>\n" +
                "        <price>1588.73</price>\n" +
                "        <car>\n" +
                "            <id>90</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Orsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-08 13:50:11</date>\n" +
                "        <price>195.55</price>\n" +
                "        <car>\n" +
                "            <id>60</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Teddy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-29 13:32:42</date>\n" +
                "        <price>1267.66</price>\n" +
                "        <car>\n" +
                "            <id>87</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pia</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-18 01:17:35</date>\n" +
                "        <price>388.01</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Raphaela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-10 09:47:18</date>\n" +
                "        <price>365.34</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pia</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-13 13:25:10</date>\n" +
                "        <price>357.35</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pinchas</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-13 09:57:39</date>\n" +
                "        <price>163.3</price>\n" +
                "        <car>\n" +
                "            <id>44</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Koenraad</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-07 18:29:02</date>\n" +
                "        <price>188.55</price>\n" +
                "        <car>\n" +
                "            <id>62</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Christie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-11 19:48:25</date>\n" +
                "        <price>981.49</price>\n" +
                "        <car>\n" +
                "            <id>65</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ximenez</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>48</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-14 18:53:06</date>\n" +
                "        <price>105.47</price>\n" +
                "        <car>\n" +
                "            <id>18</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Osbourne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-18 16:02:11</date>\n" +
                "        <price>1640.75</price>\n" +
                "        <car>\n" +
                "            <id>96</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Rubi</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>47</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-27 06:39:46</date>\n" +
                "        <price>136.07</price>\n" +
                "        <car>\n" +
                "            <id>29</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Koenraad</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-04 19:29:01</date>\n" +
                "        <price>1123.98</price>\n" +
                "        <car>\n" +
                "            <id>61</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hew</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-10 19:05:16</date>\n" +
                "        <price>1002.09</price>\n" +
                "        <car>\n" +
                "            <id>24</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Allyn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-20 19:24:51</date>\n" +
                "        <price>1509.5</price>\n" +
                "        <car>\n" +
                "            <id>20</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Osbourne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-22 11:25:23</date>\n" +
                "        <price>134.79</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-21 19:59:15</date>\n" +
                "        <price>643.45</price>\n" +
                "        <car>\n" +
                "            <id>89</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sharron</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-10 13:44:11</date>\n" +
                "        <price>1641.28</price>\n" +
                "        <car>\n" +
                "            <id>39</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Thain</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>6</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-17 03:14:48</date>\n" +
                "        <price>813.33</price>\n" +
                "        <car>\n" +
                "            <id>6</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Laurens</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-29 12:57:11</date>\n" +
                "        <price>1342.29</price>\n" +
                "        <car>\n" +
                "            <id>26</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>40</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-13 04:03:21</date>\n" +
                "        <price>1579.04</price>\n" +
                "        <car>\n" +
                "            <id>68</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hanan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-06 23:07:08</date>\n" +
                "        <price>60.03</price>\n" +
                "        <car>\n" +
                "            <id>33</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pia</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-17 15:13:31</date>\n" +
                "        <price>632.54</price>\n" +
                "        <car>\n" +
                "            <id>66</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lothaire</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-04 04:05:04</date>\n" +
                "        <price>1176.79</price>\n" +
                "        <car>\n" +
                "            <id>11</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Raphaela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>9</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-12 12:24:06</date>\n" +
                "        <price>331.53</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caldwell</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-24 00:15:21</date>\n" +
                "        <price>1561.5</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ashlie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-12 14:16:21</date>\n" +
                "        <price>877.75</price>\n" +
                "        <car>\n" +
                "            <id>92</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pia</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-15 21:45:35</date>\n" +
                "        <price>375.36</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Averill</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-09 04:12:21</date>\n" +
                "        <price>1055.51</price>\n" +
                "        <car>\n" +
                "            <id>38</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Nickie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>33</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-11 09:53:04</date>\n" +
                "        <price>1424.48</price>\n" +
                "        <car>\n" +
                "            <id>31</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Koenraad</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-20 13:43:41</date>\n" +
                "        <price>250.28</price>\n" +
                "        <car>\n" +
                "            <id>46</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ollie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-25 23:33:39</date>\n" +
                "        <price>933.83</price>\n" +
                "        <car>\n" +
                "            <id>82</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Giacobo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-26 23:11:18</date>\n" +
                "        <price>340.73</price>\n" +
                "        <car>\n" +
                "            <id>35</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Laurens</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-18 05:38:08</date>\n" +
                "        <price>228.5</price>\n" +
                "        <car>\n" +
                "            <id>4</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marysa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-04 05:00:55</date>\n" +
                "        <price>819.41</price>\n" +
                "        <car>\n" +
                "            <id>91</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Krystal</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>23</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-20 05:11:52</date>\n" +
                "        <price>1503.09</price>\n" +
                "        <car>\n" +
                "            <id>17</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cortney</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-15 13:23:30</date>\n" +
                "        <price>625.35</price>\n" +
                "        <car>\n" +
                "            <id>89</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexei</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-17 22:29:47</date>\n" +
                "        <price>233.26</price>\n" +
                "        <car>\n" +
                "            <id>62</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dulcy</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-12 22:48:42</date>\n" +
                "        <price>1156.38</price>\n" +
                "        <car>\n" +
                "            <id>84</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Bria</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-18 15:15:37</date>\n" +
                "        <price>1694.59</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lorna</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-15 05:29:57</date>\n" +
                "        <price>1174.43</price>\n" +
                "        <car>\n" +
                "            <id>67</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Tanhya</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-15 04:03:50</date>\n" +
                "        <price>999.65</price>\n" +
                "        <car>\n" +
                "            <id>74</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Abbye</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>24</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-07 13:12:01</date>\n" +
                "        <price>512.93</price>\n" +
                "        <car>\n" +
                "            <id>12</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>42</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-22 09:01:19</date>\n" +
                "        <price>674.09</price>\n" +
                "        <car>\n" +
                "            <id>79</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexei</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-05-26 06:25:39</date>\n" +
                "        <price>1155.33</price>\n" +
                "        <car>\n" +
                "            <id>98</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Viva</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-16 00:30:32</date>\n" +
                "        <price>1089.51</price>\n" +
                "        <car>\n" +
                "            <id>88</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Modesta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-08 22:15:59</date>\n" +
                "        <price>1056.6</price>\n" +
                "        <car>\n" +
                "            <id>76</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hatty</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-12 06:16:00</date>\n" +
                "        <price>611.21</price>\n" +
                "        <car>\n" +
                "            <id>61</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hanan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-09 01:28:53</date>\n" +
                "        <price>726.94</price>\n" +
                "        <car>\n" +
                "            <id>26</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Delcina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-06 14:27:50</date>\n" +
                "        <price>751.97</price>\n" +
                "        <car>\n" +
                "            <id>40</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hew</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-22 22:50:19</date>\n" +
                "        <price>1691.29</price>\n" +
                "        <car>\n" +
                "            <id>64</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marchall</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>21</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-10 15:34:38</date>\n" +
                "        <price>390.85</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Devin</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>40</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-28 22:14:53</date>\n" +
                "        <price>103.17</price>\n" +
                "        <car>\n" +
                "            <id>29</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Giacobo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-21 05:29:18</date>\n" +
                "        <price>462.97</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Roseline</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-04 20:06:05</date>\n" +
                "        <price>450.78</price>\n" +
                "        <car>\n" +
                "            <id>18</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Christie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-19 11:53:31</date>\n" +
                "        <price>1391.31</price>\n" +
                "        <car>\n" +
                "            <id>17</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Orsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>3</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-22 08:27:21</date>\n" +
                "        <price>1271.75</price>\n" +
                "        <car>\n" +
                "            <id>16</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Pinchas</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-24 23:58:52</date>\n" +
                "        <price>1041.44</price>\n" +
                "        <car>\n" +
                "            <id>67</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mandel</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-02 09:38:52</date>\n" +
                "        <price>266.82</price>\n" +
                "        <car>\n" +
                "            <id>63</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flemming</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>15</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-15 16:23:17</date>\n" +
                "        <price>1438.96</price>\n" +
                "        <car>\n" +
                "            <id>34</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Mab</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>23</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-19 01:07:59</date>\n" +
                "        <price>644.19</price>\n" +
                "        <car>\n" +
                "            <id>22</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Miguela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-01 09:17:31</date>\n" +
                "        <price>882.38</price>\n" +
                "        <car>\n" +
                "            <id>97</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-03-03 16:37:35</date>\n" +
                "        <price>512.88</price>\n" +
                "        <car>\n" +
                "            <id>52</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Onfroi</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-24 09:00:16</date>\n" +
                "        <price>837.46</price>\n" +
                "        <car>\n" +
                "            <id>42</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Orsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>33</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-28 22:14:11</date>\n" +
                "        <price>1533.08</price>\n" +
                "        <car>\n" +
                "            <id>31</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-04 05:03:06</date>\n" +
                "        <price>1283.38</price>\n" +
                "        <car>\n" +
                "            <id>36</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Nickie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>33</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-24 04:18:45</date>\n" +
                "        <price>1045.96</price>\n" +
                "        <car>\n" +
                "            <id>91</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-14 19:31:17</date>\n" +
                "        <price>1211.74</price>\n" +
                "        <car>\n" +
                "            <id>40</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marysa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>47</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-23 12:56:02</date>\n" +
                "        <price>1662.59</price>\n" +
                "        <car>\n" +
                "            <id>95</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lothaire</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-03 09:24:08</date>\n" +
                "        <price>763.46</price>\n" +
                "        <car>\n" +
                "            <id>56</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-04 10:17:00</date>\n" +
                "        <price>488.78</price>\n" +
                "        <car>\n" +
                "            <id>12</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Maritsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>1</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-26 15:52:43</date>\n" +
                "        <price>495.03</price>\n" +
                "        <car>\n" +
                "            <id>36</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Giacobo</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-03 09:29:54</date>\n" +
                "        <price>647.31</price>\n" +
                "        <car>\n" +
                "            <id>66</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Miguela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-22 15:15:42</date>\n" +
                "        <price>1660.97</price>\n" +
                "        <car>\n" +
                "            <id>20</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Delcina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-10 14:05:32</date>\n" +
                "        <price>1334.91</price>\n" +
                "        <car>\n" +
                "            <id>47</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Orsa</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>29</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-18 14:26:33</date>\n" +
                "        <price>1257.97</price>\n" +
                "        <car>\n" +
                "            <id>85</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Coleen</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-06 23:09:45</date>\n" +
                "        <price>1611.9</price>\n" +
                "        <car>\n" +
                "            <id>85</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sallyanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>13</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-20 16:04:46</date>\n" +
                "        <price>1210.84</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Miguela</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-26 20:37:59</date>\n" +
                "        <price>1426.07</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flemming</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-11 22:03:56</date>\n" +
                "        <price>1353.91</price>\n" +
                "        <car>\n" +
                "            <id>4</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Margot</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-18 08:26:42</date>\n" +
                "        <price>1642.68</price>\n" +
                "        <car>\n" +
                "            <id>45</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Idalina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>31</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-21 11:16:18</date>\n" +
                "        <price>715.6</price>\n" +
                "        <car>\n" +
                "            <id>32</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Claretta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-09 20:45:13</date>\n" +
                "        <price>970.82</price>\n" +
                "        <car>\n" +
                "            <id>25</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flemming</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>7</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-11-01 18:51:12</date>\n" +
                "        <price>1226.37</price>\n" +
                "        <car>\n" +
                "            <id>43</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerladina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-23 03:54:58</date>\n" +
                "        <price>881.16</price>\n" +
                "        <car>\n" +
                "            <id>84</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ozzie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>21</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-25 00:23:02</date>\n" +
                "        <price>424.3</price>\n" +
                "        <car>\n" +
                "            <id>92</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lothaire</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>28</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-26 21:52:28</date>\n" +
                "        <price>604.88</price>\n" +
                "        <car>\n" +
                "            <id>53</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sharron</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>33</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-17 18:38:47</date>\n" +
                "        <price>711.45</price>\n" +
                "        <car>\n" +
                "            <id>86</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marchall</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-02 16:02:56</date>\n" +
                "        <price>1059.97</price>\n" +
                "        <car>\n" +
                "            <id>7</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ursula</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-25 16:09:13</date>\n" +
                "        <price>730.63</price>\n" +
                "        <car>\n" +
                "            <id>43</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sharron</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-06 18:47:04</date>\n" +
                "        <price>1426.43</price>\n" +
                "        <car>\n" +
                "            <id>71</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Hanan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>16</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-14 04:00:35</date>\n" +
                "        <price>1475.98</price>\n" +
                "        <car>\n" +
                "            <id>17</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Allyn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>17</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-23 01:22:32</date>\n" +
                "        <price>804.42</price>\n" +
                "        <car>\n" +
                "            <id>58</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Laurens</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>39</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-16 02:29:59</date>\n" +
                "        <price>898.27</price>\n" +
                "        <car>\n" +
                "            <id>71</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Brigit</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-30 14:10:36</date>\n" +
                "        <price>43.44</price>\n" +
                "        <car>\n" +
                "            <id>87</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Esdras</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>47</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-14 09:27:06</date>\n" +
                "        <price>1586.71</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Megan</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>37</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-18 02:33:49</date>\n" +
                "        <price>1619.29</price>\n" +
                "        <car>\n" +
                "            <id>24</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Leopold</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>44</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-07-07 12:42:51</date>\n" +
                "        <price>610.0</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Alexina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-12 10:56:38</date>\n" +
                "        <price>1455.56</price>\n" +
                "        <car>\n" +
                "            <id>73</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Evvie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>5</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-15 09:41:35</date>\n" +
                "        <price>1590.18</price>\n" +
                "        <car>\n" +
                "            <id>46</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Esdras</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-30 11:16:26</date>\n" +
                "        <price>956.55</price>\n" +
                "        <car>\n" +
                "            <id>71</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Dene</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>20</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-02 08:07:46</date>\n" +
                "        <price>1416.88</price>\n" +
                "        <car>\n" +
                "            <id>4</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marsha</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>35</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-24 07:02:41</date>\n" +
                "        <price>1617.66</price>\n" +
                "        <car>\n" +
                "            <id>43</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Zuzana</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>4</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-18 17:14:25</date>\n" +
                "        <price>1061.01</price>\n" +
                "        <car>\n" +
                "            <id>21</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Delcina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>1</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-08-10 20:37:20</date>\n" +
                "        <price>639.69</price>\n" +
                "        <car>\n" +
                "            <id>72</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ozzie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-07 11:42:39</date>\n" +
                "        <price>498.85</price>\n" +
                "        <car>\n" +
                "            <id>90</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Batholomew</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-11-19 02:31:01</date>\n" +
                "        <price>1077.69</price>\n" +
                "        <car>\n" +
                "            <id>52</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ebonee</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>1</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-09-08 00:02:57</date>\n" +
                "        <price>318.89</price>\n" +
                "        <car>\n" +
                "            <id>93</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Osbourne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>9</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-16 12:31:02</date>\n" +
                "        <price>349.72</price>\n" +
                "        <car>\n" +
                "            <id>60</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flemming</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>43</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-04 19:34:53</date>\n" +
                "        <price>88.89</price>\n" +
                "        <car>\n" +
                "            <id>95</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Marsha</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>44</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-24 17:24:33</date>\n" +
                "        <price>1264.04</price>\n" +
                "        <car>\n" +
                "            <id>77</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Althea</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>9</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-06 01:15:08</date>\n" +
                "        <price>1627.84</price>\n" +
                "        <car>\n" +
                "            <id>85</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Delcina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>34</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-07 03:29:48</date>\n" +
                "        <price>262.68</price>\n" +
                "        <car>\n" +
                "            <id>22</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caritta</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>8</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-01-01 10:13:50</date>\n" +
                "        <price>265.33</price>\n" +
                "        <car>\n" +
                "            <id>34</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Gerladina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>11</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-09-21 11:57:07</date>\n" +
                "        <price>371.21</price>\n" +
                "        <car>\n" +
                "            <id>77</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Idalina</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>46</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-10-05 09:13:33</date>\n" +
                "        <price>742.76</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>23</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-02-28 20:54:59</date>\n" +
                "        <price>314.61</price>\n" +
                "        <car>\n" +
                "            <id>21</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Justis</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>22</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-31 00:21:17</date>\n" +
                "        <price>1105.61</price>\n" +
                "        <car>\n" +
                "            <id>6</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Evvie</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-19 07:25:02</date>\n" +
                "        <price>1396.82</price>\n" +
                "        <car>\n" +
                "            <id>47</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Ximenez</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-06-22 20:01:44</date>\n" +
                "        <price>1302.01</price>\n" +
                "        <car>\n" +
                "            <id>89</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Justis</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>41</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-08-03 23:26:53</date>\n" +
                "        <price>138.47</price>\n" +
                "        <car>\n" +
                "            <id>1</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Erda</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>45</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-19 21:26:15</date>\n" +
                "        <price>1434.54</price>\n" +
                "        <car>\n" +
                "            <id>17</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Cleve</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>30</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-05-18 19:15:37</date>\n" +
                "        <price>1184.29</price>\n" +
                "        <car>\n" +
                "            <id>27</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Moira</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>38</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-03-02 21:00:37</date>\n" +
                "        <price>256.26</price>\n" +
                "        <car>\n" +
                "            <id>75</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Sandor</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>26</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-02-25 18:47:10</date>\n" +
                "        <price>1202.59</price>\n" +
                "        <car>\n" +
                "            <id>51</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Deanne</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>2</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-01-30 08:09:53</date>\n" +
                "        <price>419.12</price>\n" +
                "        <car>\n" +
                "            <id>59</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-04-16 14:43:16</date>\n" +
                "        <price>1161.67</price>\n" +
                "        <car>\n" +
                "            <id>57</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Margot</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>18</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2020-12-04 07:14:30</date>\n" +
                "        <price>1562.87</price>\n" +
                "        <car>\n" +
                "            <id>2</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Althea</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>10</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-04-07 22:49:00</date>\n" +
                "        <price>375.69</price>\n" +
                "        <car>\n" +
                "            <id>23</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Esdras</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>25</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-08 17:37:46</date>\n" +
                "        <price>691.29</price>\n" +
                "        <car>\n" +
                "            <id>23</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Brynn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>15</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-12-24 18:18:34</date>\n" +
                "        <price>1572.82</price>\n" +
                "        <car>\n" +
                "            <id>84</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Flynn</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>27</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-18 19:52:52</date>\n" +
                "        <price>44.35</price>\n" +
                "        <car>\n" +
                "            <id>47</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Caldwell</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>14</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2021-06-24 22:23:06</date>\n" +
                "        <price>1464.86</price>\n" +
                "        <car>\n" +
                "            <id>83</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Lizbeth</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>36</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "    <task>\n" +
                "        <date>2022-07-23 06:57:11</date>\n" +
                "        <price>1501.23</price>\n" +
                "        <car>\n" +
                "            <id>50</id>\n" +
                "        </car>\n" +
                "        <mechanic>\n" +
                "            <firstName>Fiorenze</firstName>\n" +
                "        </mechanic>\n" +
                "        <part>\n" +
                "            <id>32</id>\n" +
                "        </part>\n" +
                "    </task>\n" +
                "</tasks>");

        String actual = tasksService.readTasksFileContent();

        Assertions.assertEquals(stringBuilder.toString(), actual);
    }
}